FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Image.H File Reference

Fl_Image, Fl_RGB_Image classes. More...

`#include "Enumerations.H"`
`#include "Fl_Widget.H"`

Go to the source code of this file.

## Classes
class | Fl_Image
| Base class for image caching, scaling and drawing. More...
class | Fl_RGB_Image
| The Fl_RGB_Image class supports caching and drawing of full-color images with 1 to 4 channels of color information. More...

## Enumerations
enum | Fl_RGB_Scaling { FL_RGB_SCALING_NEAREST = 0 , FL_RGB_SCALING_BILINEAR }
| The scaling algorithm to use for RGB images. More...

## Detailed Description

Fl_Image, Fl_RGB_Image classes.

## Enumeration Type Documentation

## ◆ Fl_RGB_Scaling

enum Fl_RGB_Scaling

The scaling algorithm to use for RGB images.

Enumerator
FL_RGB_SCALING_NEAREST | default RGB image scaling algorithm
FL_RGB_SCALING_BILINEAR | more accurate, but slower RGB image scaling algorithm